1. Storage: Admin Management
Peladen
  • Peladen
    • Welcome to Peladen
  • Cluster Management
    • Create Your First Cluster
    • Get All Clusters
      GET
  • Database Management
    • Get All Database
      GET
  • Object Storage Management
    • Storage: Daily Operation
      • Generate Upload URL
      • Generate Download URL
      • Delete File
      • Get Tenant Usage
    • Storage: Admin Management
      • Configure Storage Backend
        POST
      • Storage Status
        GET
      • Storage Usage
        GET
      • Update Tenant Quota
        POST
  1. Storage: Admin Management

Update Tenant Quota

Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/storage
Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/storage
POST
/api/storage/quota
Updates the hard storage limit for one or multiple tenants (up to 50) at once.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-sandbox.usepeladen.com/api/v1/storage/api/storage/quota' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "tenant_id": "tenant_123",
        "limit": 5120
    }
]'
Response Response Example
[
    {
        "tenant_id": "tenant_123",
        "status": "success"
    }
]
Modified at 2026-03-19 18:00:03
Previous
Storage Usage
Built with